package de.tu_dresden.diplom.richter_mirko_mat2628335.common.info.account;

import de.tu_dresden.diplom.richter_mirko_mat2628335.common.account.IFAmount;

/**
 * Created by IntelliJ IDEA.
 * User: mr22
 * Date: 02.05.2005
 * Time: 07:24:39
 * To change this template use File | Settings | File Templates.
 */
public class AccountInfoItem implements IFAccountInfoItem{

   private int ownerIdentityID = -1;
   private String ownerIdentityDescription = null;
   private String accountID = null;
   private IFAmount amount = null;

   public AccountInfoItem() {
   }

   public AccountInfoItem(String accountID, IFAmount amount) {
      this.accountID = accountID;
      this.amount = amount;
   }

   public int getOwnerIdentityID() {
      return ownerIdentityID;
   }

   public void setOwnerIdentityID(int ownerIdentityID) {
      this.ownerIdentityID = ownerIdentityID;
   }

   public String getOwnerIdentityDescription() {
      return ownerIdentityDescription;
   }

   public void setOwnerIdentityDescription(String ownerIdentityDescription) {
      this.ownerIdentityDescription = ownerIdentityDescription;
   }

   public String getAccountID() {
      return accountID;
   }

   public void setAccountID(String accountID) {
      this.accountID = accountID;
   }

   public IFAmount getAmount() {
      return amount;
   }

   public void setAmount(IFAmount amount) {
      this.amount = amount;
   }
}
